## TLDR; You have full control and responsibility over your data.

We have a minimum-collection policy. Aside from essential data required to keep the service running, we are not collecting additional user or tracking data beyond what is described below.

---

## User contributions

For all data you contribute (for example code, content, repositories, account details, and settings), you have full responsibility and control to add, modify, or create this data. If some data cannot be modified by users, this is considered a technical bug that needs urgent fixing. Please report all issues to the [hackmi.ch Community Issue Tracker](https://git.hackmi.ch/Phil/about/issues).

---

## Cloudflare Turnstile

To help prevent abuse and ensure the security of our platform, we utilize **Cloudflare Turnstile**. This service may collect non-identifying information about your device and browser to verify that you are human and not a bot. Cloudflare Turnstile operates in accordance with its own privacy policy, which you can review at [Cloudflare’s Turnstile Privacy Policy](https://www.cloudflare.com/privacypolicy/).

---

## IP Logging and Data Retention

Server log files can contain client IP addresses and user agent strings from connecting computers. These log files are retained for up to **90 days** for security, troubleshooting, and abuse prevention purposes. After this period, log files are automatically destroyed.

We may also record the **last successful login** for each user account, including the timestamp and the IP address used. This information is used for security purposes and is retained for the same period as server logs.

---

## Backup files

After you delete your data in your account, rotating off-line backup files can continue to exist for up to **30 days** according to GDPR guidelines.

---

## Your Rights

You maintain full control and responsibility over your data as described above. If you have any questions or concerns about your privacy or data, please contact us.