# hackmi.ch's Terms of Use
Welcome to hackmi.ch. We would like to invite you to join us in our journey to build and maintain a productive, safe and enduring platform for the collaborative development and maintenance of Open-Source Software and Documentation.

To support our community, we provide the essential infrastructure and organizational framework for the development of Open-Source Projects in decentralized and global communities, and other endeavours which serve this mission. We strive to make and keep educational and informational content from the projects available on the internet free of charge, in perpetuity.

We welcome you ("you" or the "user") as a contributor, user, editor or reader, and we encourage you to join our community. Before you participate, however, we ask that you please read and agree to the following Terms of Use ("Terms of Use").


## § 1 What we provide
(1) For Free and Libre Open Source Software (FLOSS) projects, the hackmi.ch Service provides various services like a public repository and version control system, wiki, and issue tracker hosting under certain terms and conditions. These services are referred to as "service", "hosting" and "platform" in this document.

(2) Our service is open for all projects covered by a free software or open source licence, as defined by either the Free Software Foundation (FSF) or the Open Source Initiative (OSI).


## § 2 Allowed Content & Usage
(1) By using hackmi.ch, you agree to adhere to the following rules when posting content (like repository contents, wiki articles, issue comments, etc.):
1. Repository content shall be licensed under an open-source license approved by the Free Software Foundation ([see list of the FSF](https://www.gnu.org/licenses/license-list.html)) or the Open Source Initiative ([see list of the OSI](https://opensource.org/licenses/)).  
   Reasonable exceptions are to a very limited extent considered acceptable. For example, releasing single logo image files of a FLOSS project under no licence or a separate non-free licence that requires derivative works to use their own logo that is clearly distinguishable from the original work even in absence of trademark registration.
2. Private repositories are only allowed for things required for FLOSS projects, like storing secrets, team-internal discussions or hiding projects from the public until they're ready for usage and/or contribution. They are also allowed for really small & personal stuff like your journal, config files, ideas or notes, but explicitly not as a personal cloud or media storage.
3. Forks, migrations and testing repos are considered as inactive when they don't contain unique contributions and are inactive for more than a month. They shouldn't be kept for a prolonged amount of time, and thus might be removed after notifying maintainers and providing a 90 days period to ask for preservation.
4. Repositories and attachments may not contain harmful code that can be run accidentally during normal development workflow and should use proper disclaimers and protections if applicable. Furthermore, software that is clearly written to do harm to other computers is only allowed in the context of security research or education and must be flagged accordingly.
5. You must not share any content that's expressing hate or encouraging violence towards a person or group for any reason. We also *explicitly* do not tolerate:
   - Discriminatory behaviour towards and promoting oppression, especially of marginalized groups on grounds of ethnicity, gender, disability, nationality, education, age, and religion.
   - Violent nationalist propaganda, Nazi symbolism or promoting the ideology of National Socialism.
   - Mobbing, stalking, doxxing (exposing someone's personal information), brigading (inciting a group to spam a specific place for any reason), threatening and harassment, as well as encouraging others to do those things.
   - Insults, discriminatory jokes, sexualized comments and other unwanted sexual attention.
   - Sexually obscene content, including content involving the exploitation or sexualization of minors.
   - Content that's glorifying violence; that includes any violent material without a proper content warning.
   - Content that harms the reputation of hackmi.ch.

(2) Failure to comply with the rules in § 2 (1) leads to immediate removal of the content together with a warning; further violations might result in immediate account suspension. In non-obvious cases, decisions about account suspensions and content removal are made by the presidium, and require a simple majority.

(3) We additionally reserve the right to remove any content or account with a notice providing a reason and possibly conditions for re-uploading the content.

(4) Content that is deemed illegal in Germany (e.g. by violating copyright or privacy laws) will be taken offline and may lead to immediate account suspension.

(5) Actions intended to damage the association, its reputation, service availability or performance may lead to immediate account suspension. In the case of excessive traffic/resource usage, or unreasonable storage requirements, a warning will normally be issued at first, unless the actions are obviously done with malicious intent.

(6) Maintainers of a project can enforce stricter rules, for example by adding an easily discoverable Code of Conduct as a file in the repository root. It's the maintainers' task to enforce such additional rules.


## § 3 Responsibilities, Copyright & Guarantees
(1) You are responsible for your own actions. Please act accordingly and apply appropriate security measures to protect your own data and account access credentials. This means especially that:
- You are legally responsible for your edits and contributions on the platform, so for your own protection you should exercise caution and avoid contributing any content that may result in criminal or civil liability under any applicable laws (e.g. copyright and patent infringements, but also things like age-restricted content without age confirmation). Both the German legislation and the legislation in your country of residence may be relevant here.
- You are solely responsible for your use of any third-party websites or resources. Although some projects may contain links to third-party websites and resources, we do not endorse and are not responsible or liable for their availability, accuracy, or the related content, products, or services, nor do we have any obligation to monitor such third-party content.
- You are responsible for safeguarding your account credentials and should never disclose them to any third party.
- You must make sure that we have a way to contact you by keeping the email address of your account up-to-date.

(2) All content on the Version Control System and other facilities provided on the platform are uploaded by community members. Contributors own all rights and ownership for content and contributions they provided. Using the platform does not imply any transfer of ownership or copyright.

(3) We make no guarantees about the availability of the content hosted on our platform. Although we try to preserve all content for the future, you are solely responsible for making regular backups of everything you rely on.

(4) Changes to the Terms of Use are communicated via an announcement banner in your dashboard. If you do not login for longer than three months, it is your own responsibility to recheck for the current Terms of Use. If you disagree to a change, you are responsible for closing your account.


## § 4 Cancellation and Termination
(1) You may close your account at any time. Please be aware that it is your responsibility to remove content and contributions that you no longer wish to persist. All other content previously contributed by you might remain visible to other users of the platform.

(2) Abandoned user accounts or organizations with no (or extremely few) all-time contributions may be deleted after being unused for 365 days. A warning via email is sent 1 month in advance.

(3) Accounts created for the sole purpose of advertisement (excessive promotion of a product, service or company) are removed immediately.

(4) Please be aware that this list is neither exhaustive nor complete (illustrating the spirit of the law, not its letter). Be aware that any account can get suspended at any time if it is used for activities harming hackmi.ch or its associated platform and services, directly or indirectly, even if these activities are not explicitly listed in the examples above.


## § 5 Disclaimer of Warranties and Liability
(1) The materials on our platform are provided on an 'as is' basis. hackmi.ch makes no warranties, expressed or implied, and hereby disclaims and negates all other warranties including, without limitation, implied warranties or conditions of merchantability, fitness for a particular purpose, or non-infringement of intellectual property or other violation of rights.

(2) Further, hackmi.ch does not warrant or make any representations concerning the accuracy, likely results, or reliability of the use of the materials on its website or otherwise relating to such materials or on any sites linked to this site.

(3) In no event shall hackmi.ch or its suppliers be liable for any damages (including, without limitation, damages for loss of data or profit, or due to business interruption) arising out of the use or inability to use the materials on hackmi.ch platform, even if hackmi.ch or a hackmi.ch-authorized representative has been notified orally or in writing of the possibility of such damage. Because some jurisdictions do not allow limitations on implied warranties, or limitations of liability for consequential or incidental damages, these limitations may not apply to you.


## § 6 Sources & License of this text
The rules (§ 2) were inspired by the [Codeberg Terms](https://codeberg.org/Codeberg/org/src/branch/main/TermsOfUse.md) & [chaos.social Terms](https://chaos.social/about/more#rules), licensed under [CC BY-SA 4.0](https://creativecommons.org/licenses/by/4.0/), as well as by the [JetBrains Open Source and Community Code of Conduct](https://confluence.jetbrains.com/display/ALL/JetBrains+Open+Source+and+Community+Code+of+Conduct), licensed under [CC BY-SA 3.0](http://creativecommons.org/licenses/by-sa/3.0/).

This text is free to be adapted and remixed under the [CC-BY-SA (Attribution-ShareAlike 4.0 International)](https://creativecommons.org/licenses/by-sa/4.0/) license.

Thank you for being an awesome member of the hackmi.ch Community!